# std::basic_ofstream<CharT,Traits>::close

From cppreference.com
< cpp‎ | io‎ | basic ofstream

void close(); |  |

Closes the associated file.

Effectively calls `rdbuf()->close()`. If an error occurs during operation, setstate(failbit) is called.

### Parameters

(none)

### Return value

(none)

### Notes

This function is called by the destructor of basic_ofstream when the stream object goes out of scope and is not usually invoked directly.

### Example

| This section is incomplete Reason: no example

### See also

is_open | checks if the stream has an associated file (public member function)
open | opens a file and associates it with the stream (public member function)
close | flushes the put area buffer and closes the associated file (public member function of `std::basic_filebuf<CharT,Traits>`)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/io/basic_ofstream/close&oldid=50850"